Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IEventError Class Reference
Error Event

Interface exposed by Events having type EVENT_TYPE_ERROR. More...

`#include <Event.h>`

Inheritance diagram for Argus::IEventError:

List of all members.

## Public Member Functions
virtual Status | getStatus () const =0
| Returns the Status value describing the error.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IEventError ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface exposed by Events having type EVENT_TYPE_ERROR.

Definition at line 150 of file Event.h.

## Constructor & Destructor Documentation

Argus::IEventError::~IEventError | ( |  | ) |
| inline protected

Definition at line 161 of file Event.h.

## Member Function Documentation

virtual Status Argus::IEventError::getStatus | ( |  | ) | const
| pure virtual

Returns the Status value describing the error.

static const InterfaceID& Argus::IEventError::id | ( |  | ) |
| inline static

Definition at line 153 of file Event.h.

The documentation for this class was generated from the following file:

- include/Argus/Event.h